package gpl.pierrick.brihaye.aramorph;

import java.util.Iterator;

public interface DictionaryHandler {
	public boolean hasPrefix(String translitered);
	public Iterator getPrefixIterator(String translitered);
	public boolean hasStem(String translitered);
	public Iterator getStemIterator(String translitered);
	public boolean hasSuffix(String translitered);
	public Iterator getSuffixIterator(String translitered);
	public boolean hasAB(String prefix, String stem);
	public boolean hasAC(String prefix, String suffix);
	public boolean hasBC(String stem, String suffix);
}
